# Uses of Class
org.apache.lucene.geo.LatLonGeometry

Packages that use LatLonGeometry
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Geospatial Utility Implementations for Lucene Core

## Uses of LatLonGeometry in org.apache.lucene.document

Methods in org.apache.lucene.document with parameters of type LatLonGeometry
Modifier and Type
Method
Description
`static Query`
LatLonPoint.`newGeometryQuery(String field, ShapeField.QueryRelation queryRelation, LatLonGeometry... latLonGeometries)`
Create a query for matching one or more geometries against the provided `ShapeField.QueryRelation`.
`static Query`
LatLonShape.`newGeometryQuery(String field, ShapeField.QueryRelation queryRelation, LatLonGeometry... latLonGeometries)`
create a query to find all indexed geo shapes that intersect a provided geometry (or array of geometries).
`static Query`
LatLonDocValuesField.`newSlowGeometryQuery(String field, ShapeField.QueryRelation queryRelation, LatLonGeometry... latLonGeometries)`
Create a query for matching one or more geometries against the provided `ShapeField.QueryRelation`.

## Uses of LatLonGeometry in org.apache.lucene.geo

Subclasses of LatLonGeometry in org.apache.lucene.geo
Modifier and Type
Class
Description
`final class`
`Circle`
Represents a circle on the earth's surface.
`class`
`Line`
Represents a line on the earth's surface.
`final class`
`Point`
Represents a point on the earth's surface.
`final class`
`Polygon`
Represents a closed polygon on the earth's surface.
`class`
`Rectangle`
Represents a lat/lon rectangle.
Methods in org.apache.lucene.geo with parameters of type LatLonGeometry
Modifier and Type
Method
Description
`static Component2D`
LatLonGeometry.`create(LatLonGeometry... latLonGeometries)`
Creates a Component2D from the provided LatLonGeometry array